Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620702 - media-gfx/freecad depends on deprecated Qt4 (was: depends on dev-qt/qtwebkit:4)
Summary: media-gfx/freecad depends on deprecated Qt4 (was: depends on dev-qt/qtwebkit:4)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Michael Weber (RETIRED)
URL:
Whiteboard: scheduled for removal on 2018-07-26
Keywords: PMASKED
Depends on: 622726
Blocks: qtwebkit4-removal qt4-removal
  Show dependency tree
 
Reported: 2017-06-04 06:48 UTC by Michael Palimaka (kensington)
Modified: 2018-08-07 07:28 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for release version of freecad 0.17, using Qt5 (freecad-0.17.ebuild,3.47 KB, text/plain)
2018-05-11 12:27 UTC, Marcus Comstedt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka (kensington) gentoo-dev 2017-06-04 06:48:15 UTC
media-gfx/freecad depends on dev-qt/qtwebkit:4 which is ancient and will never see any security updates.

If it's not possible to disable it and there's no upstream port available it might be time to remove this package.
Comment 1 Andreas Sturmlechner gentoo-dev 2017-06-04 08:40:33 UTC
git master is already qt5-based and packaging in Gentoo currently needs to wait for pyside(-tools):2 and shiboken:2 to be moved from qt overlay to tree.
Comment 2 Andreas Sturmlechner gentoo-dev 2017-10-15 09:07:09 UTC
Masking of <media-gfx/freecad-0.17_pre is being prepared in order to proceed with Qt4WebKit removal.
Comment 3 Larry the Git Cow gentoo-dev 2017-11-06 01:58:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d35130d08f9029d75ef94aa9947b8675b7c8d34

commit 0d35130d08f9029d75ef94aa9947b8675b7c8d34
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-11-05 19:10:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-11-06 01:57:07 +0000

    media-gfx/freecad: Drop old
    
    Bug: https://bugs.gentoo.org/620702
    Package-Manager: Portage-2.3.13, Repoman-2.3.4

 media-gfx/freecad/Manifest                         |   2 -
 .../files/freecad-0.15.4671-boost-1.60.patch       |  16 ---
 media-gfx/freecad/freecad-0.15.4671.ebuild         | 145 ---------------------
 media-gfx/freecad/freecad-0.16-r1.ebuild           | 132 -------------------
 media-gfx/freecad/freecad-0.16.ebuild              | 135 -------------------
 5 files changed, 430 deletions(-)}
Comment 4 Larry the Git Cow gentoo-dev 2017-11-16 18:55:37 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e799631b67e2fc4dab217b90720b3ad7eeaa347

commit 7e799631b67e2fc4dab217b90720b3ad7eeaa347
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-11-16 18:52:49 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-11-16 18:55:11 +0000

    profiles: Initiate last-rites for Qt4WebKit and remaining rdeps
    
    Bug: https://bugs.gentoo.org/620684
    Bug: https://bugs.gentoo.org/620702
    Bug: https://bugs.gentoo.org/620736
    Bug: https://bugs.gentoo.org/620826

 profiles/package.mask | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)}
Comment 5 Andreas Sturmlechner gentoo-dev 2017-12-28 22:20:42 UTC
Removal date would have been almost two weeks ago, I would really like to proceed here. Last working version could be moved to an overlay like graveyard, together with Qt4WebKit, and we re-add freecad whenever the port to Qt5 and its deps are finally in shape.
Comment 6 Miroslav Šulc gentoo-dev 2017-12-30 10:50:39 UTC
i was just able to emerge pyside:2 (thanks to you pointing me to the relavant bug) and now compiling my freecad-9999 ebuild version with qt5 support (from my overlay). will let you know if it compiles and runs soon.
Comment 7 Navid Zamani 2018-01-17 23:57:43 UTC
(In reply to Miroslav Šulc from comment #6)
Hey … it’s been two over weeks … Did it compile and run? :)
Can I help?
Because I really would like to get rid of compiling yet another Webkit every other week. :)
Comment 8 Navid Zamani 2018-02-06 11:34:41 UTC
FreeCAD now also is the only package (at least on my system) requiring abi_x86_32.

(And: I see the current ebuild does depend on libmed. Is this really unnecessary? I think I had to add it for it to build. In which case it would have to be added.)
Comment 9 Navid Zamani 2018-02-06 11:34:56 UTC
For your convenience, this is the upstream tracker URL for this bug, btw:
https://www.freecadweb.org/tracker/view.php?id=2868
Or, for the entire port to Qt5:
https://www.freecadweb.org/tracker/view.php?id=2986
Comment 10 Larry the Git Cow gentoo-dev 2018-03-02 22:08:42 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=506f827c4f6bdbaf6c93463f2d8e6390d2be6a4e

commit 506f827c4f6bdbaf6c93463f2d8e6390d2be6a4e
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-02 21:48:50 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-02 22:08:14 +0000

    media-gfx/freecad: Add no-webkit patch
    
    Bug: https://bugs.gentoo.org/620702
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 .../freecad/files/freecad-0.17_pre-no-webkit.patch |  45 +++++++
 media-gfx/freecad/freecad-0.17_pre-r1.ebuild       | 133 +++++++++++++++++++++
 2 files changed, 178 insertions(+)}
Comment 11 Andreas Sturmlechner gentoo-dev 2018-03-02 22:10:56 UTC
I've blindly added a Debian patch to drop the qtwebkit:4 dependency. Please, someone give it a try. This is the last chance for FreeCAD to extend its life for a little while (until qt4-removal).
Comment 12 hefe 2018-03-12 13:12:19 UTC
(In reply to Andreas Sturmlechner from comment #11)
> I've blindly added a Debian patch to drop the qtwebkit:4 dependency. Please,
> someone give it a try. This is the last chance for FreeCAD to extend its
> life for a little while (until qt4-removal).
I was able to emerge media-gfx/freecad-0.17_pre-r1::gentoo with x86_64-pc-linux-gnu-6.4.0. The /usr/bin/FreeCAD application starts up while emitting "No module named WebGui". This warning goes away after changing Preferences/General/Autoload module after startup to e.g. <none>.

I was able to open some but not all of my projects.
I was not able to figure out what causes the crash:

*** Abort *** an exception was raised, but no catch was found.
        ... The exception is:SIGSEGV 'segmentation violation' detected. Address 0
Comment 13 Andreas Sturmlechner gentoo-dev 2018-03-13 09:39:16 UTC
Re-added previous version plus 0.17_pre-r1 fixes per bug 650274, so you can test that.

Not sure if it makes sense to keep 0.17_pre then.
Comment 14 Marcus Comstedt 2018-05-11 12:27:41 UTC
Created attachment 530804 [details]
ebuild for release version of freecad 0.17, using Qt5

Upstreams has now released 0.17, which also means they have removed the "_pre" archive.

I was able to build the 0.17 release with Qt5 using the attached ebuild.

The overlays "qt" and "science" are needed for some dependencies (pyside:2 and libmed).
Comment 15 Andreas Sturmlechner gentoo-dev 2018-05-11 18:16:59 UTC
Thanks for your contribution, but please note this is not the right bug for this. See bug 622726 and compare with the existing work towards a qt5 ebuild in there.
Comment 16 Andreas Sturmlechner gentoo-dev 2018-06-27 19:21:44 UTC
Qt4 was masked.
Comment 17 Andreas Sturmlechner gentoo-dev 2018-08-04 23:15:20 UTC
Last call for maintainer before actual removal.
Comment 18 Larry the Git Cow gentoo-dev 2018-08-07 07:28:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00e86d362b301de831131147ba4a1f541200d883

commit 00e86d362b301de831131147ba4a1f541200d883
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-07-01 16:34:21 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-07 07:27:02 +0000

    media-gfx/freecad: Remove last-rited
    
    Closes: https://bugs.gentoo.org/620702

 media-gfx/freecad/Manifest                         |   1 -
 .../files/freecad-0.14.3702-install-paths.patch    |  21 ----
 .../freecad/files/freecad-0.17_pre-no-webkit.patch |  45 -------
 media-gfx/freecad/files/freecad.sharedmimeinfo     |   8 --
 media-gfx/freecad/freecad-0.16.6712.ebuild         | 131 ---------------------
 media-gfx/freecad/metadata.xml                     |  12 --
 profiles/package.mask                              |   4 -
 7 files changed, 222 deletions(-)